<?php

/**
 * Basic Settings
 * Register Basic Settings section, settings and controls for Theme Customizer
 * @package Storytime
 * @since 1.1.11
 */
/**
 * Adds post settings in the Customizer
 * @param object $wp_customize / Customizer Object.
 */
function storytime_customize_register_other_settings($wp_customize)
{
	// Add Setting and Control for show/hide site title.
	$wp_customize->add_setting('storytime_hide_sitetitle', array(
		'default'           => false,
		'transport'         => 'postMessage',
		'sanitize_callback' => 'storytime_sanitize_checkbox',
	));
	$wp_customize->add_control('storytime_hide_sitetitle', array(
		'label'    => esc_html__('Hide the Site Title', 'storytime'),
		'section'  => 'title_tagline',
		'type'     => 'checkbox',
	));
	// Add Setting and Control for show/hide site title.
	$wp_customize->add_setting('storytime_hide_site_desc', array(
		'default'           => false,
		'transport'         => 'postMessage',
		'sanitize_callback' => 'storytime_sanitize_checkbox',
	));
	$wp_customize->add_control('storytime_hide_site_desc', array(
		'label'    => esc_html__('Hide the Site Description', 'storytime'),
		'section'  => 'title_tagline',
		'type'     => 'checkbox',
	));
}
add_action('customize_register', 'storytime_customize_register_other_settings');
